Sketcher SketchObject

From FreeCAD Documentation
Revision as of 14:01, 1 December 2019 by David69 (talk | contribs)
Other languages:

Introduction

Un Sketcher SketchObject, ou formellement un Sketcher::SketchObject, est l'élément de base pour créer des objets 2D avec l'Atelier Sketcher.

Sketcher::SketchObject est dérivé de Part Part2DObject. Cela signifie qu'il s'agit d'un objet Part Feature spécialisé dans la géométrie 2D. Comme Part2DObject, l'objet SketchObject peut être attaché à des plans et à des faces. De plus, SketchObject peut gérer les contraintes géométriques des lignes et des courbes qui y sont dessinées.

Schéma simplifié des relations entre les objets principaux dans FreeCAD. La classe Sketcher::SketchObject est spécialisée pour les formes 2D et peut en outre gérer des contraintes.

Utilisation

  1. Basculez vers l'Atelier Sketcher.
  2. Appuyez sur Créer une nouvelle esquisse.
  3. Sélectionnez une Template:MenuCommand/fr: plan XY, plan XZ ou plan YZ. Vous pouvez également choisir d'Template:MenuCommand/fr et donner une valeur de Template:MenuCommand/fr.
  4. Appuyez sur OK.

Although the SketchObject can be used by itself to draw on a plane, it is most commonly used in conjunction with the PartDesign Workbench to create extruded solids.

  1. Switch to the PartDesign Workbench.
  2. Press PartDesign Body.
  3. Press PartDesign NewSketch.
  4. Select feature: XY_Plane (Base plane), XZ_Plane (Base plane), or YZ_Plane (Base plane).
  5. Press OK.

Propriétés

See Property for all property types that scripted objects can have.

A Sketcher SketchObject (Sketcher::SketchObject class) is derived from a Part Part2DObject (Part::Part2DObject class), therefore it shares all the latter's properties.

In addition to the properties described in Part Part2DObject, the basic Sketcher SketchObject has the following properties in the property editor.

Données

Attachment

  • DonnéesMap Mode: See Part Attachment for more information on all attachment mapping modes.

Sketch

  • DonnéesConstraints: named constraints, if they exist; otherwise it is an empty list [].

Vue

Auto Constraints

  • VueAutoconstraints: if true it will try setting constraints when the geometry is drawn.

Visibility automation

  • VueEditing Workbench: normally SketcherWorkbench, it is the name of the workbench to activate when editing the sketch.
  • VueHide Dependent: if true all objects that depend on the sketch are hidden when opening the sketch.
  • VueRestore Camera: if true the camera position is saved before opening the sketch, and is restored after closing it.
  • VueShow Links: if true all objects used in links to external geometry are shown when opening the sketch.
  • VueShow Support: if true all objects this sketch is attached to are shown when opening the sketch.

Création de scripts

See also: FreeCAD Scripting Basics, and scripted objects.

See Part Feature for the general information.

A Sketcher SketchObject is created with the addObject() method of the document.

import FreeCAD as App

doc = App.newDocument()
obj = App.ActiveDocument.addObject("Sketcher::SketchObject", "Name")
obj.Label = "Custom label"